Go to the latest version of this document.

# ``twisted`.`internet`.`ssl`.`DiffieHellmanParameters``

class documentation

`class DiffieHellmanParameters: (source)`

Constructor: `DiffieHellmanParameters(parameters)`

View In Hierarchy

A representation of key generation parameters that are required for Diffie-Hellman key exchange.

Class Method | `fromFile` | Load parameters from a file.
Method | `__init__` | Undocumented
Instance Variable | `_dhFile` | Undocumented

@classmethod
def fromFile(cls, filePath): (source)

Load parameters from a file.

Such a file can be generated using the `openssl` command line tool as following:

`openssl dhparam -out dh_param_2048.pem -2 2048`

Please refer to OpenSSL's `dhparam` documentation for further details.

Parameters
filePath:`FilePath` | A file containing parameters for Diffie-Hellman key exchange.

Returns
`DiffieHellmanParameters` | An instance that loads its parameters from `filePath`.

def __init__(self, parameters): (source)

Undocumented

_dhFile = (source)

Undocumented